<?php

namespace App\Http\Controllers;

use App\Models\Contactus;
use App\Models\Record;
use App\Models\Setting;
use App\Models\User;
use Auth;
use Carbon\Carbon;
use Hash;
use Illuminate\Http\Request;
use Validator;
use Illuminate\Support\Facades\Mail;
use App\Mail\RegistrationFailed;
use App\Mail\RegistrationSuccessful;
use GuzzleHttp\Client;
use Illuminate\Support\Str;

class AdminHomeController extends Controller
{
    public function Dashboard()
    {
        $website = Setting::first();
        $active = 1;
        $approved = 1;
        $archive = 1;
        $rejected = 1;
        return view('admin.index', compact('website', 'active', 'archive', 'rejected', 'approved'));
    }

    public function AdminProfile()
    {
        $admin = User::findOrFail(Auth::user()->id);
        return view("admin.profile", compact("admin"));
    }

    public function updateprofile(Request $request)
    {
        $GetData = User::findOrFail(Auth::user()->id);
        if (isset($request->name)) {
            $GetData->name = $request->name;
        }

        if (isset($request->phone)) {
            $GetData->phone = $request->phone;
        }

        if (isset($request->address)) {
            $GetData->address = $request->address;
        }

        if (isset($request->email)) {
            $GetData->email = $request->email;
        }
        if (isset($request->password)) {

            $validator = Validator::make($request->all(), [
                'password' => 'required|string|min:8'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Please Enter Valid Password !');
            }
            $GetData->password = Hash::make($request->password);
        }

        if ($request->hasFile('profile')) {
            $validator = Validator::make($request->all(), [
                'profile' => 'required|image|mimes:jpg,png,jpeg,gif,svg'
            ]);

            if ($validator->fails()) {
                return back()->with('error', 'Invalid Profile Picture');
            }

            if (\File::exists(public_path('admin/assets/uploads/' . $GetData->image))) {
                \File::delete(public_path('admin/assets/uploads/' . $GetData->image));
            }

            $image = $request->file('profile');
            // Generate a random string of 6 characters or numbers
            $randomString = Str::random(6);
            $image_new = $randomString . '.' . $image->getClientOriginalExtension();
            $image->move('admin/assets/uploads/', $image_new);
            $GetData->image = $image_new;
        }

        $GetData->save();
        return back()->with('success', 'Profile Updated Successfully !');
    }

    public function contactmessages()
    {
        $contactmessages = Contactus::orderBy('id', 'desc')->get();
        return view('admin.contactmessages', compact('contactmessages'));
    }

    public function delete_contact_message($id)
    {
        $getData = Contactus::findOrFail(decrypt($id));
        $getData->delete();
        return back()->with('success', 'Data Deleted Successfully !');
    }

}
