@extends('admin.layout.master')

@section('title')
    Add Users
@endsection

@section('content')
    <link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/flatpickr/flatpickr.min.css') }}">
    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{route('admin./') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Add Subscriptions</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                @include('admin.layout.laravel_errors')
                <div class="card">
                    <div class="card-body">
                        <h6 class="card-title">Add Subscriptions</h6>
                        <form method="POST" action="{{ route('admin.savesubscription') }}"
                              enctype="multipart/form-data" class="MyForm">

                            {{ csrf_field() }}

                            <div class="row">

                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label> Heading </label>
                                        <input type="text" name="heading" class="form-control MyInput"
                                               placeholder="Name" required>
                                    </div>
                                </div>
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label> Price ($)</label>
                                        <input type="text" name="price" class="form-control MyInput"
                                               placeholder="Price" required>
                                    </div>
                                </div>
                                <div class="col-md-12 mt-3">
                                    <div class="form-group">
                                        <label> No of Records </label>
                                        <input type="text" name="records" class="form-control MyInput"
                                               placeholder="No of Records" required>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-md-10">
                                        <label> Detail </label>
                                        <input type="text" name="detail[]" class="form-control MyInput"
                                               placeholder="Detail" required>
                                    </div>
                                    <div class="col-md-2">
                                        <button class="btn btn-info w-100" type="button" onclick="AddMore()"
                                                style="margin-top:21px;height:57px"> Add +
                                        </button>
                                    </div>
                                </div>
                                <div class="row">
                                    <div id="append"></div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <center>
                                    <button class="btn btn-outline-dark mt-4 MyButton" style="height:50px"> SUBMIT
                                    </button>
                                </center>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection
@section('script')

    <script>


        var count = 1;

        function AddMore() {

            var detail = `<div class="row" id="append_` + count + `">
                                    <div class="col-md-10">
                                        <label> Detail </label>
                                        <input type="text" name="detail[]" class="form-control MyInput"
                                               placeholder="Detail" required>
                                    </div>

                                    <div class="col-md-2">
                                        <button class="btn btn-danger w-100" type="button" onclick="Remove(` + count + `)"
                                                style="margin-top:21px;height:57px"> Remove -
                                        </button>
                                    </div>
                                </div>`;
            $("#append").append(detail);
            count++;
        }

        function Remove(id) {
            $("#append_" + (count-1)).remove();
            count--;
        }

    </script>
    <link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/sweetalert2/sweetalert2.min.css') }}">
    <script src="{{ URL::asset('admin/assets/vendors/sweetalert2/sweetalert2.min.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/sweet-alert.js') }}"></script>

@endsection
