@extends('admin.layout.master')

@section('title')
    Contact Messages
@endsection

@section('content')

    <link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

    <div class="page-content">

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-12"><h6 class="card-title">Contact Messages</h6></div>
                        </div>
                        <div class="table-responsive">
                            <table id="dataTableExample" class="table">
                                <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Subject</th>
                                    <th>Message</th>
                                    <th>Created At</th>
                                    <th>Delete</th>
                                </tr>
                                </thead>
                                <tbody>
                                @forelse($contactmessages as $u=>$contactmessage)
                                    <tr>
                                        <td>{{ $u+1 }}</td>
                                        <td>{{ ($contactmessage->name) ? $contactmessage->name : '' }}</td>
                                        <td>{{ ($contactmessage->email) ? $contactmessage->email : '' }}</td>
                                        <td>{{ ($contactmessage->subject) ? $contactmessage->subject : '' }}</td>
                                        <td>{{ ($contactmessage->message) ? $contactmessage->message : '' }}</td>
                                        <td>{{ Carbon\Carbon::parse($contactmessage->created_at)->format('d-m-Y') }}</td>
                                        <td>
                                            <a href="{{ route('admin.delete_contact_message',[encrypt($contactmessage->id)]) }}" class="btn btn-danger" onclick="return(confirm('Are you sure to delete this record ?'))">Delete</a>
                                        </td>
                                    </tr>
                                @empty
                                @endif
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

@endsection
