@extends('admin.layout.master')

@section('title')
    Subscriptions List
@endsection

@section('content')

    <link rel="stylesheet" href="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.css') }}">

    <div class="page-content">

        <nav class="page-breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">Subscriptions List</li>
            </ol>
        </nav>

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row mb-5">
                            <div class="col-md-10"><h6 class="card-title">Subscriptions List</h6></div>
                            <div class="col-md-2">
                                <a href="{{ route('admin.addsubscription')}}" class="btn btn-outline-dark w-100">Add
                                    Subscriptions</a>
                            </div>
                        </div>

                        <div class="row">
                            @forelse($subscriptions as $t=>$subscription)
                                <div class="col-md-4 mb-3">
                                    <div class="card h-100">
                                        <div class="card-body">
                                            <div class="row">

                                                <div class="col-md-12 px-4">
                                                    <center><h3 class="mb-3"><b>{{ $subscription->heading }}</b></h3></center>
                                                </div>
                                                <div class="col-md-12 px-4 mt-2">
                                                    <center><h5 class="mb-3">${{ $subscription->price }}
                                                            & {{ $subscription->records }} Records</h5></center>
                                                    <center><p class="mb-3">{{ $subscription->description }}</p></center>
                                                </div>
                                                <hr>

                                                @forelse($subscription->detail as $k=>$d)
                                                    @if($k<5)
                                                        <div class="col-md-12 px-4 mt-1">
                                                            <p class="mb-2 text-center justify-content-center"><li>{{ $d->detail }}</li></p>
                                                        </div>
                                                    @endif
                                                @empty
                                                @endforelse

                                                <div class="col-md-2"></div>
                                                <div class="col-md-6 mt-3">
                                                    <center>
                                                        <a
                                                                href="{{ route('admin.editsubscription', [$subscription->id]) }}"
                                                                class="btn btn-outline-danger btn-icon">
                                                            <i data-feather="edit"></i>
                                                        </a>
                                                        @if($subscription->id!=500)
                                                        <a onclick="return(confirm('Are you sure to delete this record permanently ?'))"
                                                           href="{{ route('admin.deletesubscription', [$subscription->id]) }}"
                                                           class="btn btn-outline-danger btn-icon">
                                                            <i data-feather="trash"></i>
                                                        </a>
                                                            @endif
                                                    </center>
                                                </div>
                                                <div class="col-md-2"></div>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            @empty
                            @endforelse
                        </div>
                    </div>
                </div>
            </div>

        </div>

    </div>

@endsection
@section('script')

    <script src="{{ URL::asset('admin/assets/vendors/datatables.net/jquery.dataTables.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/vendors/datatables.net-bs5/dataTables.bootstrap5.js') }}"></script>
    <script src="{{ URL::asset('admin/assets/js/data-table.js') }}"></script>

@endsection
