@extends('website.layout.master')

@section('title')
    Checkout
@endsection

@section('content')
    <main>
        <!-- breadcrumb area start -->
        <div class="breadcrumb__area breadcrumb__overlay breadcrumb__height p-relative fix"
             data-background="{{ URL::asset('website/images/hero/hero-3-2.jpg')}} ">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-12">
                        <div class="breadcrumb__content z-index text-center">
                            <div class="breadcrumb__list">
                                <span><a href="{{route('/')}}">Home</a></span>
                                <span class="dvdr"><i class="fa fa-angle-right"></i></span>
                                <span>Checkout</span>
                            </div>
                            <h3 class="breadcrumb__title">Checkout</h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end -->


        <!-- checkout area start -->
        <section class="tp-checkout-area pb-160 pt-160">
            <div class="container">
                <div class="row">
                    <div class="col-lg-7">
                        <div class="tp-checkout-bill-area">
                            <h3 class="tp-checkout-bill-title">Billing Details</h3>
                            <div class="tp-checkout-bill-form">
                                <form action="#">
                                    <div class="tp-checkout-bill-inner">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="tp-checkout-input">
                                                    <label>Name <span>*</span></label>
                                                    <input type="text" placeholder="Name" readonly
                                                           value="{{ Auth::user()->name }}">
                                                </div>
                                            </div>
                                            <div class="col-md-6">
                                                <div class="tp-checkout-input">
                                                    <label>Email <span>*</span></label>
                                                    <input type="text" placeholder="Email" readonly
                                                           value="{{ Auth::user()->email }}">
                                                </div>
                                            </div>
                                            <div class="col-md-12">
                                                <div class="tp-checkout-input">
                                                    <label>Phone <span>*</span></label>
                                                    <input type="text" placeholder="Phone" readonly
                                                           value="{{ Auth::user()->phone }}">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-5">
                        <form action="{{ route('purchase_subscription') }}" method="post" class="MyForm">
                            @csrf
                            <input type="hidden" name="subscriptionid" value="{{ $subscription->id }}">
                            <div class="tp-checkout-place">
                                <h3 class="tp-checkout-place-title">Your Order</h3>

                                <div class="tp-order-info-list">
                                    <ul>

                                        <!-- header -->
                                        <li class="tp-order-info-list-header">
                                            <h4>Product</h4>
                                            <h4>Total</h4>
                                        </li>

                                        <!-- item list -->
                                        <li class="tp-order-info-list-desc">
                                            <p>{{ $subscription->heading }} ({{ $subscription->records }} Records)</p>
                                            <span>${{ number_format($subscription->price,2) }}</span>
                                        </li>
                                        <!-- total -->
                                        <li class="tp-order-info-list-total">
                                            <span>Total</span>
                                            <span>${{ number_format($subscription->price,2) }}</span>
                                        </li>
                                    </ul>
                                </div>
                                <hr>
                                <div class="tp-checkout-btn-wrapper">
                                    <button class="tp-btn-square text-center w-100 MyButton">Place Order</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </section>
        <!-- checkout area end -->
    </main>

@endsection

