<?php
$system = App\Models\Setting::first();
?>
<!doctype html>
<html class="no-js" lang="zxx">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>{{ $system->name }} | @yield('title')</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Place favicon.ico in the root directory -->
    <link rel="shortcut icon" type="image/x-icon" href="{{ URL::asset('admin/assets/uploads/'.$system->favicon) }}">

    <!-- CSS here -->
    <link rel="stylesheet" href="{{ URL::asset('website/css/bootstrap.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/animate.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/swiper-bundle.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/slick.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/magnific-popup.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/font-awesome-pro.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/spacing.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/custom-animation.css')}}">
    <link rel="stylesheet" href="{{ URL::asset('website/css/main.css')}}">
</head>

<body>


<!-- pre loader area start -->
<div id="loading">
    <div id="loading-center">
        <div id="loading-center-absolute">
            <div class="object" id="object_four"></div>
            <div class="object" id="object_three"></div>
            <div class="object" id="object_two"></div>
            <div class="object" id="object_one"></div>
        </div>
    </div>
</div>
<!-- pre loader area end -->


<!-- back to top start -->
<div class="back-to-top-wrapper">
    <button id="back_to_top" type="button" class="back-to-top-btn">
        <svg width="12" height="7" viewBox="0 0 12 7" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M11 6L6 1L1 6" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"
                  stroke-linejoin="round"/>
        </svg>
    </button>
</div>
<!-- back to top end -->

<!-- tp-offcanvus-area-start -->
<div class="tpoffcanvas-area">
    <div class="tpoffcanvas">
        <div class="tpoffcanvas__close-btn">
            <button class="close-btn"><i class="fal fa-times"></i></button>
        </div>
        <div class="tpoffcanvas__logo">
            <a href="{{route('/')}}">
                <img src="{{ URL::asset('admin/assets/uploads/'.$system->logo) }}" alt="">
            </a>
        </div>
        <div class="tp-main-menu-mobile d-xl-none"></div>
        <div class="tpoffcanvas__contact-info">
            <div class="tpoffcanvas__contact-title">
                <h5>Contact us</h5>
            </div>
            <ul>
                <li>
                    <i class="fa-light fa-location-dot"></i>
                    <a>{{ $system->location }}</a>
                </li>
                <li>
                    <i class="fas fa-envelope"></i>
                    <a href="mailto:{{ $system->email }}">{{ $system->email }}</a>
                </li>
                <li>
                    <i class="fal fa-phone-alt"></i>
                    <a href="tel:{{ $system->phone }}">{{ $system->phone }}</a>
                </li>
            </ul>
        </div>
    </div>
</div>
<div class="body-overlay"></div>
<!-- tp-offcanvus-area-end -->

<header>

    <div class="tp-header-3__transparent">


        <!-- header main area end -->
        <div id="header-sticky" class="tp-header-3__area">
            <div class="container custom-container">
                <div class="tp-header-3__customize  tp-header-3__lg-mob-space white-bg p-relative"
                     data-background="{{ URL::asset('website/images/header-icon/header-bg-shape-1.png')}} ">
                    <div class="row align-items-center">
                        <div class="col-xl-2 col-lg-6 col-md-6 col-7">
                            <div class="tp-header-3__logo-lg">
                                <a href="{{route('/')}}"><img
                                            src="{{ URL::asset('admin/assets/uploads/'.$system->logo) }}" alt=""></a>
                            </div>
                            <div class="tp-header-3__logo-main d-none d-xl-block">
                                <div class="tp-header-3__logo-wrap p-relative z-index-1">
                                    <a href="{{route('/')}}">
                                        <div class="tp-header-3__logo">
                                            <img src="{{ URL::asset('admin/assets/uploads/'.$system->logo) }}" alt="">
                                        </div>
                                        <div class="tp-header-3__logo-bg">
                                            <svg width="156" height="133" viewBox="0 0 156 133" fill="none"
                                                 xmlns="http://www.w3.org/2000/svg">
                                                <path
                                                        d="M0 0H156V124.793C156 129.655 151.698 133.393 146.883 132.714L6.88286 112.971C2.93527 112.414 0 109.036 0 105.049V0Z"
                                                        fill="#244034"/>
                                            </svg>
                                        </div>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <div class="col-xl-9 d-none d-xl-block">
                            <div
                                    class="tp-header-main__menu menu-icon d-flex align-items-center justify-content-start p-relative">
                                <nav class="tp-main-menu-content">
                                    <ul>
                                        <li><a href="{{route('home')}}">Home</a></li>
                                        <li><a href="{{route('searchrecord')}}">Search Listing</a></li>
                                        <li><a href="{{route('buyer_agent')}}">Buyer Agents</a></li>
                                        <li><a href="{{route('listing_agent')}}">Listing Agents</a></li>
                                        <li><a href="{{route('contact')}}">Contact Us</a></li>
                                        {{--                                        <li><a href="{{route('about')}}">About</a></li>--}}
                                        {{--                                        <li><a href="{{route('subscription')}}">Pricing</a></li>--}}
                                        {{--                                        <li><a href="{{route('searchrecord')}}">Search</a></li>--}}
                                        {{--                                        <li><a href="{{route('record')}}">Record</a></li>--}}
                                        {{--                                        <li><a href="{{route('contact')}}">Contact</a></li>--}}
                                        {{--                                        <li class="has-dropdown">--}}
                                        {{--                                            <a href="#">Profile</a>--}}
                                        {{--                                            <ul class="tp-submenu submenu">--}}
                                        {{--                                                <li><a href="{{route('profile')}}">My Account</a></li>--}}
                                        {{--                                                <li><a href="{{route('history')}}">History</a></li>--}}
                                        {{--                                                <li><a href="#">Logout</a></li>--}}
                                        {{--                                            </ul>--}}
                                        {{--                                        </li>--}}
                                        {{--                                        <li><a href="{{route('login')}}">Login</a></li>--}}
                                    </ul>
                                </nav>
                            </div>
                        </div>
                        <div class="col-xl-3 col-lg-6 col-md-6 col-5">
                            <div class="tp-header-2__right-info text-end">
                                <ul>
                                    <li class="tp-header-xl__bar d-xl-none">
                                        <button class="tp-menu-bar">
                                            <i class="fa-light fa-bars-staggered"></i>
                                        </button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- header main area end -->

    </div>

</header>
@include('admin.layout.loader')