@extends('website.layout.master')

@section('title')
    Login
@endsection

@section('content')
    <style>

    </style>

    <main>

        <!-- breadcrumb area start -->
        <div class="breadcrumb__area breadcrumb__overlay breadcrumb__height p-relative fix"
             data-background="{{ URL::asset('website/images/hero/hero-3-2.jpg')}} ">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-12">
                        <div class="breadcrumb__content z-index text-center">
                            <div class="breadcrumb__list">
                                <span><a href="{{route('home')}}">Home</a></span>
                                <span class="dvdr"><i class="fa fa-angle-right"></i></span>
                                <span>Login</span>
                            </div>
                            <h3 class="breadcrumb__title">Login</h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end -->

        <!-- postbox area start -->
        <section class="postbox__area pt-120 pb-100">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-8 col-xl-8 col-lg-8 offset-md-2">
                        <div class="postbox__wrapper">
                            <div class="postbox__comment-form">
                                <h2><b>Login</b></h2>
                                <h3 class="postbox__comment-form-title">Welcome back! Log in to your account</h3>
                                @include('website.layout.laravel_errors')
                                <form class="MyForm" action="{{ route('customerlogin') }}" method="post"
                                      enctype="multipart/form-data">
                                    @csrf
                                    <div class="row">
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>Email*</label>
                                                <input name="email" type="email" placeholder="Email*" required value="{{ old('email') }}">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>Password*</label>
                                                <input name="password" type="password" placeholder="Password*" required value="{{ old('password') }}">
                                            </div>
                                        </div>

                                        <div class="col-xxl-12">
                                            <div class="postbox__comment-agree d-flex align-items-start mb-40">
                                                <input class="e-check-input" type="checkbox" id="e-agree">
                                                <label class="e-check-label" for="e-agree">Remember me</label>
                                            </div>
                                        </div>

                                        <div class="col-xxl-12" style="text-align: center">
                                            <div class="postbox__comment-btn">
                                                <button type="submit" class="tp-btn-square">Submit</button>
                                            </div>
                                        </div>
                                        <div class="col-xxl-12">
                                            <div class="postbox__comment-btn">
                                                <div class="registertext mt-15" style="text-align: center">
                                                    <a href="{{route('register')}}" class="member">Not a member yet?</a>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-xxl-12">
                                            <div class="registertext mb-40" style="text-align: center">
                                                <a href="{{route('forgot')}}" class="member">Forgot Password?</a>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                                <p class="ajax-response"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- postbox area end -->

    </main>

@endsection

