@extends('website.layout.master')

@section('title')
    Profile
@endsection

@section('content')

    <main>

        <!-- breadcrumb area start -->
        <div class="breadcrumb__area breadcrumb__overlay breadcrumb__height p-relative fix"
             data-background="{{ URL::asset('website/images/hero/hero-3-2.jpg')}} ">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-12">
                        <div class="breadcrumb__content z-index text-center">
                            <div class="breadcrumb__list">
                                <span><a href="{{route('/')}}">Home</a></span>
                                <span class="dvdr"><i class="fa fa-angle-right"></i></span>
                                <span>Profile</span>
                            </div>
                            <h3 class="breadcrumb__title">Profile</h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end -->

        <!-- postbox area start -->
        <section class="postbox__area pt-120 pb-100">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-8 col-xl-8 col-lg-8 offset-md-2">
                        <div class="postbox__wrapper">
                            <div class="postbox__comment-form">
                                <h2><b>Profile</b></h2>
                                <h3 class="postbox__comment-form-title">Update your personal information and preferences
                                    to keep your profile current</h3>
                                <form class="MyForm" action="{{ route('updateuserprofile') }}" method="post">
                                    @csrf
                                    <div class="row">
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>Name*</label>
                                                <input name="name" required value="{{ Auth::user()->name }}" type="text" placeholder="Name*">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>Email*</label>
                                                <input disabled readonly required style="cursor: not-allowed" value="{{ Auth::user()->email }}" type="email" placeholder="Email*">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>Phone No*</label>
                                                <input name="phone" required value="{{ Auth::user()->phone }}" type="tel" placeholder="Phone No*">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <div class="postbox__comment-input">
                                                <label>New Password*</label>
                                                <input name="password" type="password" placeholder="New Password*">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12" style="text-align: center">
                                            <div class="postbox__comment-btn">
                                                <button type="submit" class="tp-btn-square">Update Profile</button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                                <p class="ajax-response"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            </div>
        </section>
        <!-- postbox area end -->
    </main>

@endsection

