<?php

use Illuminate\Support\Facades\Route;


Route::get('/clear', function () {

    Artisan::call('cache:clear');
    Artisan::call('config:clear');
    Artisan::call('config:cache');
    Artisan::call('view:clear');
    Artisan::call('route:clear');

    return "Cleared!";

});
Route::get('/', [App\Http\Controllers\WebsiteController::class, 'home'])->name('/');
Route::get('home', [App\Http\Controllers\WebsiteController::class, 'home'])->name('home');
Route::get('contact', [App\Http\Controllers\WebsiteController::class, 'contact'])->name('contact');
Route::post('save_contact_message', [App\Http\Controllers\WebsiteController::class, 'save_contact_message'])->name('save_contact_message');
Route::get('privacy', [App\Http\Controllers\WebsiteController::class, 'privacy'])->name('privacy');
Route::get('terms', [App\Http\Controllers\WebsiteController::class, 'terms'])->name('terms');
Route::get('subscription', [App\Http\Controllers\WebsiteController::class, 'subscription'])->name('subscription');
Route::get('checkout/{slug}', [App\Http\Controllers\WebsiteController::class, 'checkout'])->name('checkout');
Route::get('searchrecord', [App\Http\Controllers\WebsiteController::class, 'searchrecord'])->name('searchrecord');
Route::get('faq', [App\Http\Controllers\WebsiteController::class, 'faq'])->name('faq');
Route::get('about', [App\Http\Controllers\WebsiteController::class, 'about'])->name('about');
Route::get('Buyer+Agent', [App\Http\Controllers\WebsiteController::class, 'buyer_agent'])->name('buyer_agent');
Route::get('Listing+Agent', [App\Http\Controllers\WebsiteController::class, 'listing_agent'])->name('listing_agent');


Route::get('register', [App\Http\Controllers\WebsiteController::class, 'register'])->name('register');
Route::post('saveuser', [App\Http\Controllers\UsersController::class, 'saveuser'])->name('saveuser');
Route::get('verifyaccount/{id}', [App\Http\Controllers\UsersController::class, 'verifyaccount'])->name('verifyaccount');
Route::get('login', [App\Http\Controllers\WebsiteController::class, 'login'])->name('login');
Route::post('customerlogin', [App\Http\Controllers\UsersController::class, 'customerlogin'])->name('customerlogin');
Route::get('forgot', [App\Http\Controllers\WebsiteController::class, 'forgot'])->name('forgot');
Route::post('resetpassword', [App\Http\Controllers\UsersController::class, 'resetpassword'])->name('resetpassword');
Route::get('reset+password/{id}', [App\Http\Controllers\UsersController::class, 'resetnewpassword'])->name('resetnewpassword');
Route::post('save+new+password', [App\Http\Controllers\UsersController::class, 'saveresetnewpassword'])->name('saveresetnewpassword');


//After Login
Route::middleware(['auth.basic', 'user-access:user'])->group(function () {
    Route::get('/customerlogout', [App\Http\Controllers\UsersController::class, 'customerlogout'])->name('customerlogout');
    Route::get('profile', [App\Http\Controllers\WebsiteController::class, 'profile'])->name('profile');
    Route::post('/updateuserprofile', [App\Http\Controllers\UsersController::class, 'updateuserprofile'])->name('updateuserprofile');
    Route::post('/purchase_subscription', [App\Http\Controllers\StripeController::class, 'purchase_subscription'])->name('purchase_subscription');
    Route::get('/successpayment', [App\Http\Controllers\StripeController::class, 'successpayment'])->name('successpayment');
    Route::get('/customsuccesspayment', [App\Http\Controllers\StripeController::class, 'customsuccesspayment'])->name('customsuccesspayment');
    Route::get('Subscription+History', [App\Http\Controllers\WebsiteController::class, 'history'])->name('history');
    Route::get('Records+List', [App\Http\Controllers\WebsiteController::class, 'manage_records_list'])->name('manage_records_list');
    Route::get('Add+Records', [App\Http\Controllers\WebsiteController::class, 'manage_records'])->name('record');
    Route::post('save_record', [App\Http\Controllers\WebsiteController::class, 'save_record'])->name('save_record');
    Route::get('Edit+Record/{id}', [App\Http\Controllers\WebsiteController::class, 'edit_record'])->name('edit_record');
    Route::post('update_record', [App\Http\Controllers\WebsiteController::class, 'update_record'])->name('update_record');
    Route::post('upload_record_csv_file', [App\Http\Controllers\WebsiteController::class, 'upload_record_csv_file'])->name('upload_record_csv_file');
});


Route::name('admin.')->prefix('admin')->group(function () {

    Route::get('/clear', function () {

        Artisan::call('cache:clear');
        Artisan::call('config:clear');
        Artisan::call('config:cache');
        Artisan::call('view:clear');
        Artisan::call('route:clear');

        return "Cleared!";

    });

//    without login
    Route::match(['get', 'post'], '/login', [App\Http\Controllers\LoginController::class, 'adminLogin'])->name('login');

    Route::middleware(['admin-auth', 'user-access:admin'])->group(function () {

//    After Login
        Route::get('/', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('/');
        Route::get('/dashboard', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('dashboard');
        Route::get('/home', [App\Http\Controllers\AdminHomeController::class, 'Dashboard'])->name('home');
        Route::post('/logout', [App\Http\Controllers\LoginController::class, 'logout'])->name('logout');

        // Admin Profile
        Route::get('/AdminProfile', [App\Http\Controllers\AdminHomeController::class, 'AdminProfile'])->name('AdminProfile');
        Route::post('/updateprofile', [App\Http\Controllers\AdminHomeController::class, 'updateprofile'])->name('updateprofile');

        // Application Setting
        Route::get('/setting', [App\Http\Controllers\SettingController::class, 'setting'])->name('setting');
        Route::post('/updatesetting', [App\Http\Controllers\SettingController::class, 'updatesetting'])->name('updatesetting');

        // Contact Messages
        Route::get('/Contact+Messages', [App\Http\Controllers\AdminHomeController::class, 'contactmessages'])->name('contactmessages');
        Route::get('/delete_contact_message/{id}', [App\Http\Controllers\AdminHomeController::class, 'delete_contact_message'])->name('delete_contact_message');

        /**** Add Subscriptions *****/
        Route::get('/add+subs+record', [App\Http\Controllers\SubscriptionController::class, 'addsubscription'])->name('addsubscription');
        Route::get('/subscriptions', [App\Http\Controllers\SubscriptionController::class, 'index'])->name('subscriptions');
        Route::post('/savesubscription', [App\Http\Controllers\SubscriptionController::class, 'savesubscription'])->name('savesubscription');
        Route::get('/deletesubscription/{id}', [App\Http\Controllers\SubscriptionController::class, 'deletesubscription'])->name('deletesubscription');
        Route::get('/editsubscription/{id}', [App\Http\Controllers\SubscriptionController::class, 'editsubscription'])->name('editsubscription');
        Route::post('/updatesubscription', [App\Http\Controllers\SubscriptionController::class, 'updatesubscription'])->name('updatesubscription');

        // Manage Users
        Route::get('/Users+List', [App\Http\Controllers\UsersController::class, 'userlist'])->name('userlist');
        Route::get('/deleted_user/{id}', [App\Http\Controllers\UsersController::class, 'deleteuser'])->name('deleted_user');
        Route::post('update_user', [App\Http\Controllers\UsersController::class, 'update_user'])->name('update_user');

        // Manage Record
        Route::get('/Manage+Record', [App\Http\Controllers\UsersController::class, 'managerecord'])->name('managerecord');
        Route::get('/delete_record/{id}', [App\Http\Controllers\UsersController::class, 'delete_record'])->name('delete_record');
        Route::get('/Edit+Record/{id}', [App\Http\Controllers\UsersController::class, 'edit_record'])->name('edit_record');
        Route::post('update_record', [App\Http\Controllers\UsersController::class, 'update_record_from_admin'])->name('update_record_from_admin');

    });
});

