

<?php $__env->startSection('title'); ?>
    Record History
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <link rel="stylesheet" href="https://cdn.datatables.net/2.1.3/css/dataTables.dataTables.css" /

    <main>

        <!-- breadcrumb area start -->
        <div class="breadcrumb__area breadcrumb__overlay breadcrumb__height p-relative fix"
             data-background="<?php echo e(URL::asset('website/images/hero/hero-3-2.jpg')); ?> ">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-12">
                        <div class="breadcrumb__content z-index text-center">
                            <div class="breadcrumb__list">
                                <span><a href="<?php echo e(route('home')); ?>">Home</a></span>
                                <span class="dvdr"><i class="fa fa-angle-right"></i></span>
                                <span>History</span>
                            </div>
                            <h3 class="breadcrumb__title">Record History</h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end -->


        <!-- pricing area start -->
        <div class="tp-price__area pt-95 pb-120">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="tp-price__title-box text-center">
                            <div class="tp-section-subtitle-box"><h4 class="tp-hero__subtitle subtitle-border">Real
                                    Estate Commission Database</h4>
                            </div>
                            <h3 class="tp-section-title">
                        <span class="p-relative">
                           Record
                           <span class="tp-title-shape d-none d-md-block">
                              <svg width="145" height="5" viewBox="0 0 145 5" fill="none"
                                   xmlns="http://www.w3.org/2000/svg">
                                 <path
                                         d="M144.738 4.22307C96.8043 2.55338 49.1463 2.288 1.24738 4.99709C-0.427246 5.09661 -0.404312 2.60867 1.24738 2.48703C48.8366 -0.962917 97.2516 -1.06243 144.738 3.70336C145.082 3.73653 145.093 4.23412 144.738 4.22307Z"
                                         fill="#FFB302"/>
                              </svg>
                           </span>
                        </span>
                                History
                            </h3>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-xxl-12 col-xl-12 col-lg-12">
                        <div class="postbox__wrapper">
                            <div class="row text-center justify-content-center">
                                <?php if(isset(Auth::user()->purchased_subscriptions_data) && sizeof(Auth::user()->purchased_subscriptions_data)>0): ?>
                                    <?php if(isset(Auth::user()->records_data) && sizeof(Auth::user()->records_data)>0): ?>
                                        <h2><b>Total Remaining Records
                                                : <?php echo e((Auth::user()->purchased_subscriptions_data->sum('records')-sizeof(Auth::user()->records_data))); ?></b>
                                        </h2>
                                    <?php else: ?>
                                        <h2><b>Total Remaining Records
                                                : <?php echo e(Auth::user()->purchased_subscriptions_data->sum('records')); ?></b>
                                        </h2>
                                    <?php endif; ?>
                                <?php endif; ?>
                            </div>
                            <div class="postbox__comment-form" style="background-color: transparent">
                                <h3 class="postbox__comment-form-title">Record History</h3>

                                <div class="row">
                                    <div class="table-responsive">
                                        <table id="example"
                                               class="table table-striped table-bordered dataTable text-center"
                                               cellspacing="0" width="100%" role="grid" aria-describedby="example_info"
                                               style="width: 100%;">
                                            <thead>
                                            <tr>
                                                <th>ID</th>
                                                <th>Name</th>
                                                <th>Phone</th>
                                                <th>Address</th>
                                                <th>Postal Code</th>
                                                <th>State</th>
                                                <th>City</th>
                                                <th>MLS Number</th>
                                                <th>Commission</th>
                                                <th>Status</th>
                                                <th>Record Type</th>
                                                <th>Created At</th>
                                                <th>Edit</th>
                                            </tr>
                                            </thead>
                                            <tbody>
                                            <?php $count = 1; ?>
                                            <?php $__empty_1 = true; $__currentLoopData = $records; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $r=>$record): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                                <?php if(($record->record_type=="withoutsubscription") && ($record->payment_status=="paid")): ?>
                                                    <tr>
                                                        <td><?php echo e($count); ?></td>
                                                        <td><?php echo e($record->name); ?></td>
                                                        <td><?php echo e($record->phone); ?></td>
                                                        <td><?php echo e($record->address); ?></td>
                                                        <td><?php echo e($record->postal_code); ?></td>
                                                        <td><?php echo e($record->state); ?></td>
                                                        <td><?php echo e($record->city); ?></td>
                                                        <td><?php echo e($record->mls_number); ?></td>
                                                        <td><?php echo e($record->commission); ?> <?php echo e($record->type); ?></td>
                                                        <td>
                                                            <?php if($record->status=="1"): ?>
                                                                <strong style="color:green">Active</strong>
                                                            <?php else: ?>
                                                                <strong style="color:red">Inactive</strong>
                                                            <?php endif; ?>
                                                        </td>
                                                        <td><?php echo e($record->record_type); ?></td>
                                                        <td><?php echo e(Carbon\Carbon::parse($record->created_at)->format('d M Y')); ?></td>
                                                        <td>
                                                            <a href="<?php echo e(route('edit_record',[encrypt($record->id)])); ?>"
                                                               class="btn btn-warning">Edit</a>
                                                        </td>
                                                    </tr>
                                                        <?php $count++; ?>
                                                <?php endif; ?>
                                                <?php if($record->record_type=="subscription"): ?>
                                                    <tr>
                                                        <td><?php echo e($count); ?></td>
                                                        <td><?php echo e($record->name); ?></td>
                                                        <td><?php echo e($record->phone); ?></td>
                                                        <td><?php echo e($record->address); ?></td>
                                                        <td><?php echo e($record->postal_code); ?></td>
                                                        <td><?php echo e($record->state); ?></td>
                                                        <td><?php echo e($record->city); ?></td>
                                                        <td><?php echo e($record->mls_number); ?></td>
                                                        <td><?php echo e($record->commission); ?> <?php echo e($record->type); ?></td>
                                                        <td>
                                                            <?php if($record->status=="1"): ?>
                                                                <strong style="color:green">Active</strong>
                                                            <?php else: ?>
                                                                <strong style="color:red">Inactive</strong>
                                                            <?php endif; ?>
                                                        </td>
                                                        <td><?php echo e($record->record_type); ?></td>
                                                        <td><?php echo e(Carbon\Carbon::parse($record->created_at)->format('d M Y')); ?></td>
                                                        <td>
                                                            <a href="<?php echo e(route('edit_record',[encrypt($record->id)])); ?>"
                                                               class="btn btn-warning">Edit</a>
                                                        </td>
                                                    </tr>
                                                        <?php $count++; ?>
                                                <?php endif; ?>

                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                            <?php endif; ?>
                                            </tbody>

                                        </table>
                                    </div>
                                </div>

                                <p class="ajax-response"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- pricing area end -->

    </main>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js"
            integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>
    <script src="https://cdn.datatables.net/2.1.3/js/dataTables.js"></script>
    <script>
        $('#example').dataTable();
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('website.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/lovekbkg/public_html/REComm/resources/views/website/manage_records_list.blade.php ENDPATH**/ ?>