<?php
$system = App\Models\Setting::first();
?>
        <!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="keywords" content="">

    <title><?php echo e($system->name); ?> <?php echo $__env->yieldContent('title'); ?></title>

    <!-- Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700;900&display=swap" rel="stylesheet">
    <!-- End fonts -->

    <!-- core:css -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('admin/assets/vendors/core/core.css')); ?>">
    <!-- endinject -->

    <!-- Plugin css for this page -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('admin/assets/vendors/flatpickr/flatpickr.min.css')); ?>">
    <!-- End plugin css for this page -->

    <!-- inject:css -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('admin/assets/fonts/feather-font/css/iconfont.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(URL::asset('admin/assets/vendors/flag-icon-css/css/flag-icon.min.css')); ?>">
    <!-- endinject -->

    <!-- Layout styles -->
    <link rel="stylesheet" href="<?php echo e(URL::asset('admin/assets/css/demo1/style.css')); ?>">
    <!-- End layout styles -->

    <link rel="shortcut icon" href="<?php echo e(URL::asset('admin/assets/uploads/'.$system->favicon)); ?>"/>


</head>

<style>
    .MyInput {
        height: 60px;
        margin-bottom: 15px;
    }

    .MyFileInput {
        height: 60px;
        margin-bottom: 15px;
        padding-top: 18px;
    }
</style>

<body>
<div class="main-wrapper">

    <!-- partial:partials/_sidebar.html -->
    <nav class="sidebar">
        <div class="sidebar-header">
            <br>
            <a href="<?php echo e(route('admin.home')); ?>" class="sidebar-brand">
                <img src="<?php echo e(URL::asset('admin/assets/uploads/'.$system->logo)); ?>" alt="Logo" style="width:75%">
            </a>
            <br>
            <div class="sidebar-toggler not-active">
                <span></span>
                <span></span>
                <span></span>
            </div>
        </div>
        <div class="sidebar-body">
            <ul class="nav">
                <li class="nav-item nav-category">Main</li>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.dashboard')); ?>" class="nav-link">
                        <i class="link-icon" data-feather="home"></i>
                        <span class="link-title">Dashboard</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.userlist')); ?>" class="nav-link">
                        <i class="link-icon" data-feather="users"></i>
                        <span class="link-title">Users List</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.managerecord')); ?>" class="nav-link">
                        <i class="link-icon" data-feather="file"></i>
                        <span class="link-title">Records</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-bs-toggle="collapse" href="#sub" role="button" aria-expanded="false"
                       aria-controls="emails">
                        <i class="link-icon" data-feather="layers"></i>
                        <span class="link-title">Subscriptions</span>
                        <i class="link-arrow" data-feather="chevron-down"></i>
                    </a>
                    <div class="collapse" id="sub">
                        <ul class="nav sub-menu">
                            <li class="nav-item">
                                <a href="<?php echo e(route('admin.addsubscription')); ?>" class="nav-link">Add Subscription</a>
                            </li>
                            <li class="nav-item">
                                <a href="<?php echo e(route('admin.subscriptions')); ?>" class="nav-link">Subscription List</a>
                            </li>
                        </ul>
                    </div>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.contactmessages')); ?>" class="nav-link">
                        <i class="link-icon" data-feather="mail"></i>
                        <span class="link-title">Contact Messages</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.setting')); ?>" class="nav-link">
                        <i class="link-icon" data-feather="settings"></i>
                        <span class="link-title">Setting</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="<?php echo e(route('admin.AdminProfile')); ?>" class="nav-link">
                        <i class="link-icon" data-feather="user"></i>
                        <span class="link-title">Profile</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a href="javascript:;" onclick="event.preventDefault();
            document.getElementById('logout-form').submit();" class="nav-link">
                        <i class="link-icon" data-feather="log-out"></i>
                        <span class="link-title">Logout</span>
                        <form id="logout-form" action="<?php echo e(route('admin.logout')); ?>" method="POST"
                              class="d-none">
                            <?php echo csrf_field(); ?>
                        </form>
                    </a>
                </li>
            </ul>
        </div>
    </nav>
    <!-- partial -->

    <div class="page-wrapper">

        <!-- partial:partials/_navbar.html -->
        <nav class="navbar">
            <a href="#" class="sidebar-toggler">
                <i data-feather="menu"></i>
            </a>
            <div class="navbar-content">

                <ul class="navbar-nav">

                    <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="profileDropdown" role="button"
                           data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            <?php if(!empty(Auth::user()->image)): ?>
                                <img class="wd-30 ht-30 rounded-circle"
                                     src="<?php echo e(url::asset('admin/assets/uploads/'.Auth::user()->image)); ?>"
                                     alt="profile">
                            <?php else: ?>
                                <img class="wd-30 ht-30 rounded-circle" src="https://via.placeholder.com/30x30"
                                     alt="profile">
                            <?php endif; ?>
                        </a>
                        <div class="dropdown-menu p-0" aria-labelledby="profileDropdown">
                            <div class="d-flex flex-column align-items-center border-bottom px-5 py-3">
                                <div class="mb-3">
                                    <?php if(!empty(Auth::user()->image)): ?>
                                        <img class="wd-80 ht-80 rounded-circle"
                                             src="<?php echo e(url::asset('admin/assets/uploads/'.Auth::user()->image)); ?>"
                                             alt="">
                                    <?php else: ?>
                                        <img class="wd-80 ht-80 rounded-circle" src="https://via.placeholder.com/80x80"
                                             alt="">
                                    <?php endif; ?>
                                </div>
                                <div class="text-center">
                                    <p class="tx-16 fw-bolder"><?php echo e(Auth::user()->name); ?></p>
                                    <p class="tx-12 text-muted"><?php echo e(Auth::user()->email); ?></p>
                                </div>
                            </div>
                            <ul class="list-unstyled p-1">
                                <li class="dropdown-item py-2">
                                    <a href="<?php echo e(route('admin.AdminProfile')); ?>" class="text-body ms-0">
                                        <i class="me-2 icon-md" data-feather="user"></i>
                                        <span>Profile</span>
                                    </a>
                                </li>
                                <li class="dropdown-item py-2">
                                    <a href="javascript:;" onclick="event.preventDefault();
            document.getElementById('logout-form').submit();" class="text-body ms-0">
                                        <i class="me-2 icon-md" data-feather="log-out"></i>
                                        <span>Log Out</span>
                                        <form id="logout-form" action="<?php echo e(route('admin.logout')); ?>" method="POST"
                                              class="d-none">
                                            <?php echo csrf_field(); ?>
                                        </form>
                                    </a>
                                </li>
                            </ul>
                        </div>
                    </li>
                </ul>
            </div>
        </nav>
<?php echo $__env->make('admin.layout.loader', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/lovekbkg/public_html/REComm/resources/views/admin/layout/header.blade.php ENDPATH**/ ?>