<?php $__env->startSection('title'); ?>
    Add Record
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

    <main>

        <!-- breadcrumb area start -->
        <div class="breadcrumb__area breadcrumb__overlay breadcrumb__height p-relative fix"
             data-background="<?php echo e(URL::asset('website/images/hero/hero-3-2.jpg')); ?> ">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-12">
                        <div class="breadcrumb__content z-index text-center">
                            <div class="breadcrumb__list">
                                <span><a href="<?php echo e(route('home')); ?>">Home</a></span>
                                <span class="dvdr"><i class="fa fa-angle-right"></i></span>
                                <span>Record</span>
                            </div>
                            <h3 class="breadcrumb__title">Add Record</h3>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- breadcrumb area end -->


        <section class="postbox__area pt-120">
            <div class="container">
                <div class="row">
                    <div class="col-xxl-8 col-xl-8 col-lg-8 offset-md-2">
                        <div class="postbox__wrapper">
                            <div class="postbox__comment-form">
                                <h2><b>Enter Record</b></h2>
                                <h3 class="postbox__comment-form-title">Add new entries to the database quickly and
                                    easily on the Enter Record page</h3>
                                <form class="MyForm" action="<?php echo e(route('save_record')); ?>" method="post">
                                    <?php echo csrf_field(); ?>
                                    <div class="row">
                                        <div class="col-xxl-6 col-xl-6 col-lg-6">
                                            <div class="postbox__comment-input">
                                                <label>MLS Number</label>
                                                <input name="mls_number" required type="text" placeholder="MLS Number"
                                                       value="<?php echo e(old('mls_number')); ?>">
                                            </div>
                                        </div>
                                        <div class="col-xxl-6 col-xl-6 col-lg-6">
                                            <div class="postbox__comment-input">
                                                <label>Listing Agent Name*</label>
                                                <input name="name" required type="text"
                                                       placeholder="Listing Agent Name*"
                                                       value="<?php echo e(old('name')); ?>">
                                            </div>
                                        </div>
                                        <div class="col-xxl-12">
                                            <div class="postbox__comment-input">
                                                <label>Property Address</label>
                                                <textarea name="address" required
                                                          placeholder="Property Address"><?php echo e(old('address')); ?></textarea>
                                            </div>
                                        </div>
                                        <div class="col-xxl-6 col-xl-6 col-lg-6">
                                            <div class="postbox__comment-input">
                                                <label>City</label>
                                                <input name="city" required type="text" placeholder="City"
                                                       value="<?php echo e(old('city')); ?>">
                                            </div>
                                        </div>
                                        <div class="col-xxl-6 col-xl-6 col-lg-6">
                                            <div class="postbox__comment-input">
                                                <label>State</label>
                                                <input name="state" required type="text" placeholder="State"
                                                       value="<?php echo e(old('state')); ?>">
                                            </div>
                                        </div>
                                        <div class="col-xxl-6 col-xl-6 col-lg-6">
                                            <div class="postbox__comment-input">
                                                <label>Postal Code</label>
                                                <input name="postal_code" required type="number"
                                                       placeholder="Postal Code" value="<?php echo e(old('postal_code')); ?>">
                                            </div>
                                        </div>
                                        <div class="col-xxl-6 col-xl-6 col-lg-6">
                                            <div class="postbox__comment-input">
                                                <label>Listing Agent Phone No*</label>
                                                <input name="phone" required type="tel"
                                                       placeholder="Listing Agent Phone No*"
                                                       value="<?php echo e(old('phone')); ?>">
                                            </div>
                                        </div>
                                        <div class="col-xxl-6 col-xl-6 col-lg-6">
                                            <div class="postbox__comment-input">
                                                <label> Commission</label>
                                                <input name="commission" type="number" min="1" placeholder="Commission"
                                                       value="<?php echo e(old('commission')); ?>">
                                            </div>
                                        </div>
                                        <div class="col-xxl-1 col-xl-1 col-lg-1" style="padding-top: 40px !important;">
                                            <input type="radio" checked value="%" id="per" name="type">
                                            <label for="per">%</label>
                                        </div>
                                        <div class="col-xxl-1 col-xl-1 col-lg-1" style="padding-top: 40px !important;">
                                            <input type="radio" value="$" id="dol" name="type">
                                            <label for="dol">$</label>
                                        </div>
                                        <div class="col-xxl-4 col-xl-4 col-lg-4"></div>
                                        <?php if(Auth::user()->purchased_subscriptions_data->count()==0): ?>

                                            <div class="col-xxl-12 col-xl-12 col-lg-12"
                                                 style="padding-top: 15px !important;">
                                                <h6 style="color: red">Without subscription every record will cost you
                                                    <b>$<?php echo e(number_format($subscription->price,2)); ?> </b></h6>
                                            </div>
                                            <input type="hidden" name="data_type"
                                                   value="save_without_subscription_data">
                                        <?php else: ?>
                                            <input type="hidden" name="data_type" value="save_subscription_data">
                                        <?php endif; ?>

                                        <div class="col-xxl-12 col-xl-12 col-lg-12">
                                            <input type="checkbox" required id="aa">
                                            <label for="aa">Listing Agent confirms this information is true and
                                                correct</label>
                                        </div>

                                        <div class="col-xxl-12 mt-4" style="text-align: center">
                                            <div class="postbox__comment-btn">
                                                <button type="submit" class="tp-btn-square MyButton"
                                                        name="save_without_subscription_data">Submit
                                                </button>
                                            </div>
                                        </div>


                                    </div>
                                </form>
                                <p class="ajax-response"></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>


        <?php if(Auth::user()->purchased_subscriptions_data->count()>0): ?>
            <section class="postbox__area">
                <div class="container">
                    <div class="row">
                        <div class="col-xxl-8 col-xl-8 col-lg-8 offset-md-2">
                            <div class="postbox__wrapper">
                                <div class="postbox__comment-form">
                                    <h2><b>Upload Bulk Records</b></h2>
                                    <?php echo $__env->make('website.layout.laravel_errors', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    <form class="MyForm" action="<?php echo e(route('upload_record_csv_file')); ?>" method="post" enctype="multipart/form-data">
                                        <?php echo csrf_field(); ?>
                                        <div class="row">
                                            <div class="col-xxl-12 col-xl-12 col-lg-12">
                                                <div class="postbox__comment-input">
                                                    <label>Upload CSV file only.</label>
                                                    <input name="record_file" required type="file" placeholder="MLS Number" accept=".csv" style="padding-top: 10px">
                                                </div>
                                                <a href="<?php echo e(URL::asset('website/sample.csv')); ?>" download="">Download Sample File.</a>
                                            </div>

                                            <div class="col-xxl-12 mt-4" style="text-align: center">
                                                <div class="postbox__comment-btn">
                                                    <button type="submit" class="tp-btn-square MyButton">Upload File</button>
                                                </div>
                                            </div>


                                        </div>
                                    </form>
                                    <p class="ajax-response"></p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </section>
        <?php endif; ?>


    </main>

<?php $__env->stopSection(); ?>


<?php echo $__env->make('website.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/lovekbkg/public_html/REComm/resources/views/website/record.blade.php ENDPATH**/ ?>